<?php

namespace Drupal\pwned_passwords;

use Esolitos\PwnedPasswords\PwnageValidator;

/**
 * Class PwnedPasswordCheckerController.
 */
class PwnedPasswordCheckerController implements PwnedPasswordCheckerControllerInterface {

  public function isPasswordPwned(string $plaintext_password, int $pwned_threshold = 10): bool {
    return $pwned_threshold < $this->getPasswordPwnage($plaintext_password);
  }

  public function getPasswordPwnage(string $plaintext_password): int {
    $validator = new PwnageValidator();
    return $validator->getPasswordPwnage($plaintext_password);
  }


}
